## kodi-dmo 21.3

=== tools/depends/target/Makefile ===
include ../Makefile.include

ifneq ($(shell test -f $(PREFIX)/share/config.site && echo 1),1)
  $(error Error: $(PREFIX)/share/config.site  is missing. Please reconfigure depends to generate it)
endif

# Keep in alphabetical order
DEPENDS = \
  bzip2 \
  curl \
  dav1d \
  expat \
  ffmpeg \
  fontconfig \
  freetype2 \
  freetype2-noharfbuzz \
  fribidi \
  fstrcmp \
  gettext \
  gmp \
  gnutls \
  gtest \
  harfbuzz \
  libass \
  libbluray \
  libffi \
  libgcrypt \
  libgpg-error \
  libjpeg-turbo \
  liblzo2 \
  libmicrohttpd \
  libplist \
  libpng \
  libshairplay \
  libusb \
  libxml2 \
  libxslt \
  mariadb \
  nettle \
  nghttp2 \
  openssl \
  python3 \
  pythonmodule-pil \
  pythonmodule-pycryptodome \
  pythonmodule-setuptools \
  sqlite3 \
  tinyxml \
  udfread \
  xz

ifeq ($(ENABLE_GPLV3),yes)
  DEPENDS+=samba-gplv3 libcdio-gplv3
else
  DEPENDS+=samba libcdio
endif

ifeq ($(OS),darwin_embedded)
  EXCLUDED_DEPENDS = libusb gtest
  ifeq ($(TARGET_PLATFORM),appletvos)
    EXCLUDED_DEPENDS += libshairplay libplist
  endif
  DEPENDS += darwin-embedded-entitlements
endif

ifeq ($(OS),osx)
  EXCLUDED_DEPENDS = libusb
  DEPENDS += smctemp
endif

ifeq ($(OS),android)
  EXCLUDED_DEPENDS = libusb gtest
  DEPENDS += dummy-libxbmc libdovi libuuid
  PYMODULE_DEPS = dummy-libxbmc
  LIBUUID = libuuid
endif

ZLIB=
ifneq ($(HAS_ZLIB),1)
  DEPENDS += zlib
  ZLIB = zlib
endif

ICONV=
ifeq ($(NEED_LIBICONV),1)
  DEPENDS += libiconv
  ICONV = libiconv
endif

ALSA_LIB=
ifeq ($(OS),linux)
  DEPENDS += dbus libuuid alsa-lib libdrm libxkbcommon libinput libudev libevdev mtdev pipewire
  ALSA_LIB = alsa-lib
  LIBUUID = libuuid

  ifeq ($(CPU),x86_64)
    DEPENDS += libva
    LIBVA = libva
  endif

  ifneq (,$(findstring wayland,$(TARGET_PLATFORM)))
    DEPENDS += wayland waylandpp wayland-protocols
    MESA_DEPS += wayland-protocols wayland
    ifeq ($(CPU),x86_64)
      LIBVA_DEPS += wayland
    endif

    ifeq ($(RENDER_SYSTEM),gl)
      WAYLANDPP_DEPS += linux-system-gl-libs
    else
      WAYLANDPP_DEPS += mesa
    endif
  endif

  ifneq (,$(findstring x11,$(TARGET_PLATFORM)))
    DEPENDS += linux-system-x11-libs
    MESA_DEPS += linux-system-x11-libs
    ifeq ($(CPU),x86_64)
      LIBVA_DEPS += linux-system-x11-libs
    endif
  endif

  ifeq ($(RENDER_SYSTEM),gl)
    DEPENDS += linux-system-gl-libs
  else
    DEPENDS += mesa
  endif

  ifeq ($(TARGET_PLATFORM),webos)
    DEPENDS += wayland waylandpp wayland-protocols webos-wayland-extensions webos-userland
    EXCLUDED_DEPENDS += dbus linux-system-x11-libs pipewire mesa
  endif

  ifneq (,$(findstring gbm,$(TARGET_PLATFORM)))
    DEPENDS += hwdata libdisplay-info
  endif
endif
DEPENDS := $(filter-out $(EXCLUDED_DEPENDS),$(DEPENDS))

.PHONY: $(DEPENDS) download $(DOWNLOAD_TARGETS)

all: .installed-$(PLATFORM)

EXCLUDE := linux-system-gl-libs linux-system-x11-libs
DOWNLOAD_DEPS := $(filter-out $(EXCLUDE:%=%), $(DEPENDS))
DOWNLOAD_TARGETS := $(addprefix download/, $(DOWNLOAD_DEPS))

$(DOWNLOAD_TARGETS):
	$(MAKE) -C $(notdir $@) download

download: $(DOWNLOAD_TARGETS)

crossguid: $(LIBUUID)
curl: openssl nghttp2 $(ZLIB)
dbus: expat
ffmpeg: $(ICONV) $(ZLIB) bzip2 gnutls dav1d $(LIBVA)
fontconfig: freetype2 expat $(ICONV) $(LIBUUID)
freetype2: bzip2 harfbuzz $(ZLIB)
gettext: $(ICONV)
gnutls: nettle $(ZLIB)
harfbuzz: freetype2-noharfbuzz $(ICONV)
libass: fontconfig fribidi harfbuzz libpng freetype2 expat $(ICONV)
libbluray: fontconfig freetype2 $(ICONV) udfread libxml2
libcdio-gplv3: $(ICONV)
libcdio: $(ICONV)
libdisplay-info: hwdata
libevdev: libudev
libgcrypt: libgpg-error
libinput: mtdev libevdev
libmicrohttpd: gnutls libgcrypt libgpg-error
libplist: $(ZLIB)
libpng: $(ZLIB)
libva: libdrm $(LIBVA_DEPS)
libxml2: $(ZLIB)
libxslt: libgcrypt libxml2
libzip: bzip2 gnutls $(ZLIB)
mariadb: openssl $(ICONV) $(ZLIB)
mesa: libdrm $(MESA_DEPS) $(ZLIB)
nettle: gmp
openssl: $(ZLIB)
python3: expat gettext libxml2 sqlite3 openssl libffi bzip2 xz $(ICONV)
pythonmodule-pil: bzip2 $(PYMODULE_DEPS) $(ZLIB) libjpeg-turbo libpng freetype2 python3 pythonmodule-setuptools
pythonmodule-pycryptodome: $(PYMODULE_DEPS) python3 pythonmodule-setuptools
pythonmodule-setuptools: $(PYMODULE_DEPS) python3
samba-gplv3: gnutls $(ZLIB)
taglib: $(ZLIB)
wayland: expat libffi
waylandpp: wayland $(WAYLANDPP_DEPS)
xz: gettext

.installed-$(PLATFORM): $(DEPENDS)
	touch $@
	@echo "Dependencies built successfully."

$(DEPENDS):
	$(MAKE) -C $@

clean:
	for d in $(DEPENDS); do $(MAKE) -C $$d clean; done

# Debug target, this will DELETE all data in staging!
test-dependencies:
	( for d in $(DEPENDS); do \
	rm -rf $(PREFIX); \
	mkdir -p $(PREFIX)/include $(PREFIX)/share $(PREFIX)/bin; \
	cp -f config.site Toolchain.cmake $(PREFIX)/share/; \
	$(MAKE) distclean; \
	$(MAKE) $$d; done ) && echo "$@ built successfully"


distclean::
	for d in $(DEPENDS); do $(MAKE) -C $$d distclean; done

HOST_LIB_PKGCONFIG := $(firstword $(wildcard /usr/lib64/pkgconfig /usr/lib/$(HOST)/pkgconfig))

linux-system-x11-libs:
	mkdir -p $(PREFIX)/lib/pkgconfig
	[ -f $(PREFIX)/lib/pkgconfig/damageproto.pc ] || ln -sf  /usr/share/pkgconfig/damageproto.pc $(PREFIX)/lib/pkgconfig/damageproto.pc
	[ -f $(PREFIX)/lib/pkgconfig/fixesproto.pc ] || ln -sf  /usr/share/pkgconfig/fixesproto.pc $(PREFIX)/lib/pkgconfig/fixesproto.pc
	[ -f $(PREFIX)/lib/pkgconfig/x11-xcb.pc ] || ln -sf  $(HOST_LIB_PKGCONFIG)/x11-xcb.pc $(PREFIX)/lib/pkgconfig/x11-xcb.pc
	[ -f $(PREFIX)/lib/pkgconfig/xcb-dri2.pc ] || ln -sf  $(HOST_LIB_PKGCONFIG)/xcb-dri2.pc $(PREFIX)/lib/pkgconfig/xcb-dri2.pc
	[ -f $(PREFIX)/lib/pkgconfig/xcb-dri3.pc ] || ln -sf  $(HOST_LIB_PKGCONFIG)/xcb-dri3.pc $(PREFIX)/lib/pkgconfig/xcb-dri3.pc
	[ -f $(PREFIX)/lib/pkgconfig/xcb-glx.pc ] || ln -sf  $(HOST_LIB_PKGCONFIG)/xcb-glx.pc $(PREFIX)/lib/pkgconfig/xcb-glx.pc
	[ -f $(PREFIX)/lib/pkgconfig/xcb-xfixes.pc ] || ln -sf  $(HOST_LIB_PKGCONFIG)/xcb-xfixes.pc $(PREFIX)/lib/pkgconfig/xcb-xfixes.pc
	[ -f $(PREFIX)/lib/pkgconfig/xcb-present.pc ] || ln -sf  $(HOST_LIB_PKGCONFIG)/xcb-present.pc $(PREFIX)/lib/pkgconfig/xcb-present.pc
	[ -f $(PREFIX)/lib/pkgconfig/xcb-randr.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/xcb-randr.pc $(PREFIX)/lib/pkgconfig/xcb-randr.pc
	[ -f $(PREFIX)/lib/pkgconfig/xcb-render.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/xcb-render.pc $(PREFIX)/lib/pkgconfig/xcb-render.pc
	[ -f $(PREFIX)/lib/pkgconfig/xcb-shape.pc ] || ln -sf  $(HOST_LIB_PKGCONFIG)/xcb-shape.pc $(PREFIX)/lib/pkgconfig/xcb-shape.pc
	[ -f $(PREFIX)/lib/pkgconfig/xcb-sync.pc ] || ln -sf  $(HOST_LIB_PKGCONFIG)/xcb-sync.pc $(PREFIX)/lib/pkgconfig/xcb-sync.pc
	[ -f $(PREFIX)/lib/pkgconfig/xdamage.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/xdamage.pc $(PREFIX)/lib/pkgconfig/xdamage.pc
	[ -f $(PREFIX)/lib/pkgconfig/xf86vidmodeproto.pc ] || ln -sf /usr/share/pkgconfig/xf86vidmodeproto.pc $(PREFIX)/lib/pkgconfig/xf86vidmodeproto.pc
	[ -f $(PREFIX)/lib/pkgconfig/xfixes.pc ] || ln -sf  $(HOST_LIB_PKGCONFIG)/xfixes.pc $(PREFIX)/lib/pkgconfig/xfixes.pc
	[ -f $(PREFIX)/lib/pkgconfig/xshmfence.pc ] || ln -sf  $(HOST_LIB_PKGCONFIG)/xshmfence.pc $(PREFIX)/lib/pkgconfig/xshmfence.pc
	[ -f $(PREFIX)/lib/pkgconfig/xxf86vm.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/xxf86vm.pc $(PREFIX)/lib/pkgconfig/xxf86vm.pc
	[ -f $(PREFIX)/lib/pkgconfig/x11.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/x11.pc $(PREFIX)/lib/pkgconfig/x11.pc
	[ -f $(PREFIX)/lib/pkgconfig/xproto.pc ] || ln -sf /usr/share/pkgconfig/xproto.pc $(PREFIX)/lib/pkgconfig/xproto.pc
	[ -f $(PREFIX)/lib/pkgconfig/kbproto.pc ] || ln -sf /usr/share/pkgconfig/kbproto.pc $(PREFIX)/lib/pkgconfig/kbproto.pc
	[ -f $(PREFIX)/lib/pkgconfig/xcb.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/xcb.pc $(PREFIX)/lib/pkgconfig/xcb.pc
	[ -f $(PREFIX)/lib/pkgconfig/pthread-stubs.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/pthread-stubs.pc $(PREFIX)/lib/pkgconfig/pthread-stubs.pc
	[ -f $(PREFIX)/lib/pkgconfig/xau.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/xau.pc $(PREFIX)/lib/pkgconfig/xau.pc
	[ -f $(PREFIX)/lib/pkgconfig/xdmcp.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/xdmcp.pc $(PREFIX)/lib/pkgconfig/xdmcp.pc
	[ -f $(PREFIX)/lib/pkgconfig/xext.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/xext.pc $(PREFIX)/lib/pkgconfig/xext.pc
	[ -f $(PREFIX)/lib/pkgconfig/xextproto.pc ] || ln -sf /usr/share/pkgconfig/xextproto.pc $(PREFIX)/lib/pkgconfig/xextproto.pc
	[ -f $(PREFIX)/lib/pkgconfig/xrandr.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/xrandr.pc $(PREFIX)/lib/pkgconfig/xrandr.pc
	[ -f $(PREFIX)/lib/pkgconfig/xrender.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/xrender.pc $(PREFIX)/lib/pkgconfig/xrender.pc
	[ -f $(PREFIX)/lib/pkgconfig/randrproto.pc ] || ln -sf /usr/share/pkgconfig/randrproto.pc $(PREFIX)/lib/pkgconfig/randrproto.pc
	[ -f $(PREFIX)/lib/pkgconfig/renderproto.pc ] || ln -sf /usr/share/pkgconfig/renderproto.pc $(PREFIX)/lib/pkgconfig/renderproto.pc
	[ -f $(PREFIX)/lib/pkgconfig/xt.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/xt.pc $(PREFIX)/lib/pkgconfig/xt.pc
	[ -f $(PREFIX)/lib/pkgconfig/ice.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/ice.pc $(PREFIX)/lib/pkgconfig/ice.pc
	[ -f $(PREFIX)/lib/pkgconfig/sm.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/sm.pc $(PREFIX)/lib/pkgconfig/sm.pc
	[ -f $(PREFIX)/lib/pkgconfig/xmu.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/xmu.pc $(PREFIX)/lib/pkgconfig/xmu.pc

linux-system-gl-libs:
	mkdir -p $(PREFIX)/lib/pkgconfig
	[ -f $(PREFIX)/lib/pkgconfig/egl.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/egl.pc $(PREFIX)/lib/pkgconfig/egl.pc
	[ -f $(PREFIX)/lib/pkgconfig/wayland-egl.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/wayland-egl.pc $(PREFIX)/lib/pkgconfig/wayland-egl.pc
	[ -f $(PREFIX)/lib/pkgconfig/gl.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/gl.pc $(PREFIX)/lib/pkgconfig/gl.pc
	[ -f $(PREFIX)/lib/pkgconfig/glu.pc ] || ln -sf $(HOST_LIB_PKGCONFIG)/glu.pc $(PREFIX)/lib/pkgconfig/glu.pc

=== xbmc/platform/android/CMakeLists.txt ===
set(SOURCES CPUInfoAndroid.cpp
            GPUInfoAndroid.cpp
            MemUtils.cpp
            PlatformAndroid.cpp)

set(HEADERS CPUInfoAndroid.h
            GPUInfoAndroid.h
            PlatformAndroid.h)

core_add_library(androidsupport)

=== xbmc/platform/darwin/CMakeLists.txt ===
set(SOURCES DarwinUtils.mm
            DictionaryUtils.mm
            MemUtils.cpp
            PlatformDarwin.cpp)

set(HEADERS DarwinUtils.h
            DictionaryUtils.h
            NSLogDebugHelpers.h
            PlatformDarwin.h)

core_add_library(platform_darwin)

=== xbmc/platform/win32/CMakeLists.txt ===
set(SOURCES CharsetConverter.cpp
            CPUInfoWin32.cpp
            Environment.cpp
            GPUInfoWin32.cpp
            MemUtils.cpp
            MessagePrinter.cpp
            dxerr.cpp
            Filesystem.cpp
            pch.cpp
            PlatformWin32.cpp
            WIN32Util.cpp
            WindowHelper.cpp
            XTimeUtils.cpp)

set(HEADERS CharsetConverter.h
            CPUInfoWin32.h
            dirent.h
            dxerr.h
            GPUInfoWin32.h
            IMMNotificationClient.h
            my_ntddcdrm.h
            my_ntddscsi.h
            netdb.h
            pch.h
            PlatformDefs.h
            PlatformWin32.h
            resource.h
            unistd.h
            WIN32Util.h
            WindowHelper.h)

core_add_library(platform_win32)

=== tools/depends/target/bzip2/Makefile ===
include ../../Makefile.include
DEPS = ../../Makefile.include Makefile Makefile.patch ../../download-files.include

# lib name, version
LIBNAME=bzip2
VERSION=1.0.8
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz
SHA512=083f5e675d73f3233c7930ebe20425a533feedeaaa9d8cc86831312a6581cefbe6ed0d08d2fa89be81082f2a5abdabca8b3c080bf97218a1bd59dc118a30b9f3
include ../../download-files.include

# configuration settings
CONFIGURE=./configure --prefix=$(PREFIX) --disable-shared

all: .installed-$(PLATFORM)


$(PLATFORM): $(DEPS) | $(TARBALLS_LOCATION)/$(ARCHIVE).$(HASH_TYPE)
	rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); patch -p1 -i ../Makefile.patch

.installed-$(PLATFORM): $(PLATFORM)
	$(MAKE) -C $(PLATFORM) PREFIX=$(PREFIX) CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" AR="$(AR)"
	$(MAKE) -C $(PLATFORM) install PREFIX=$(PREFIX)
	rm $(PREFIX)/bin/bzip2
	touch $@

clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/depends/target/cec/Makefile ===
include ../../Makefile.include CEC-VERSION ../../download-files.include
DEPS = ../../Makefile.include Makefile CEC-VERSION ../../download-files.include \
                            001-all-cmakelists.patch \
                            002-all-libceccmakelists.patch \
                            003-all-remove_git_info.patch \
                            004-win-remove_32bit_timet.patch \
                            005-win-pdbstatic.patch

LIBDYLIB=$(PLATFORM)/build/src/$(LIBNAME)/$(BYPRODUCT)
ifeq (darwin, $(findstring darwin, $(HOST)))
	LIBDYLIB=$(PLATFORM)/build/src/$(LIBNAME)/$(BYPRODUCT_MAC)
endif

CMAKE_OPTIONS=-DBUILD_SHARED_LIBS=1 \
              -DSKIP_PYTHON_WRAPPER:STRING=1 \
              -DCMAKE_PLATFORM_NO_VERSIONED_SONAME=1 \
              -DCMAKE_INSTALL_PREFIX=$(PREFIX) \
              -DCMAKE_BUILD_TYPE=Debug

all: .installed-$(PLATFORM)

$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE).$(HASH_TYPE) $(DEPS)
	rm -rf $(PLATFORM); mkdir -p $(PLATFORM)/build
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); patch -p1 -i ../001-all-cmakelists.patch
	cd $(PLATFORM); patch -p1 -i ../002-all-libceccmakelists.patch
	cd $(PLATFORM); patch -p1 -i ../003-all-remove_git_info.patch
	cd $(PLATFORM); patch -p1 -i ../004-win-remove_32bit_timet.patch
	cd $(PLATFORM); patch -p1 -i ../005-win-pdbstatic.patch
	cd $(PLATFORM)/build; $(CMAKE) ${CMAKE_OPTIONS} ..

$(LIBDYLIB): $(PLATFORM)
	$(MAKE) -C $(PLATFORM)/build

.installed-$(PLATFORM): $(LIBDYLIB)
	$(MAKE) -C $(PLATFORM)/build install
ifeq (darwin, $(findstring darwin, $(HOST)))
	install_name_tool -id $(PREFIX)/lib/$(LIBNAME).dylib $(PREFIX)/lib/$(LIBNAME).dylib
endif
	touch $@

clean:
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/depends/target/crossguid/Makefile ===
-include ../../Makefile.include
include CROSSGUID-VERSION
DEPS = Makefile CROSSGUID-VERSION ../../download-files.include \
                                  001-fix-unused-function.patch \
                                  002-disable-Wall-error.patch

CMAKE_OPTIONS=-DCROSSGUID_TESTS=OFF \
              -DCMAKE_BUILD_TYPE=Release \
              -DDISABLE_WALL=ON

ifeq ($(CROSS_COMPILING), yes)
  DEPS += ../../Makefile.include
else
  ROOT_DIR := $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))
  ifeq ($(PLATFORM),)
    # crossguid uses string_view and requires c++17
    CXXFLAGS += -std=c++17
    PLATFORM = native
    TARBALLS_LOCATION = $(ROOT_DIR)
    BASE_URL := http://mirrors.kodi.tv/build-deps/sources
    RETRIEVE_TOOL := curl
    RETRIEVE_TOOL_FLAGS := -LsS --create-dirs --retry 10 --retry-connrefused -o
    ARCHIVE_TOOL := tar
    ARCHIVE_TOOL_FLAGS := --strip-components=1 -xf
    CMAKE := cmake
    CMAKE_OPTIONS := -DCMAKE_INSTALL_PREFIX=$(PREFIX) -DCMAKE_INSTALL_LIBDIR=lib $(CMAKE_OPTIONS)
    HASH_TOOL = sha512sum
    HASH_TOOL_FLAGS = -c --status
  endif
endif

LIBDYLIB=$(PLATFORM)/$(BYPRODUCT)

include ../../download-files.include

.PHONY: .installed-native

all: .installed-$(PLATFORM)

$(PLATFORM): $(DEPS) | $(TARBALLS_LOCATION)/$(ARCHIVE).$(HASH_TYPE)
ifeq ($(PREFIX),)
	@echo
	@echo "ERROR: please set PREFIX to the kodi install path e.g. make PREFIX=/usr/local"
	@exit 1
endif
	rm -rf $(PLATFORM); mkdir -p $(PLATFORM)/build
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); patch -p1 -i ../001-fix-unused-function.patch
	cd $(PLATFORM); patch -p1 -i ../002-disable-Wall-error.patch
	cd $(PLATFORM); patch -p1 -i ../003-add-cstdint-include.patch
	cd $(PLATFORM)/build; $(CMAKE) $(CMAKE_OPTIONS) ..

.installed-$(PLATFORM): $(PLATFORM)
	$(MAKE) -C $(PLATFORM)/build install
	touch $@

clean:
	$(MAKE) -C $(PLATFORM)/build clean
	rm -f .installed-$(PLATFORM)

distclean:
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/depends/target/curl/Makefile ===
include ../../Makefile.include CURL-VERSION ../../download-files.include
DEPS = ../../Makefile.include Makefile CURL-VERSION ../../download-files.include \
                  01-apple-pkgconfig_disable_requires.patch

# configuration settings
CONFIGURE=cp -f $(CONFIG_SUB) $(CONFIG_GUESS) .; \
          ./configure --prefix=$(PREFIX) \
                      --disable-shared \
                      --disable-ldap \
                      --without-libssh2 \
                      --disable-ntlm-wb \
                      --enable-ipv6 \
                      --without-librtmp \
                      --without-libidn2 \
                      --with-ca-fallback \
                      --with-ssl=$(PREFIX) \
                      --with-nghttp2=$(PREFIX) \
                      --with-zlib \
                      --without-libpsl \
                      --without-zstd \
                      --without-brotli \
                      --without-gssapi \
                      --without-gsasl \
                      --without-hyper \
                      --without-ngtcp2 \
                      --without-nghttp3 \
                      --without-quiche \
                      --without-msh3 \
                      --without-gnutls \
                      --without-nss \
                      --without-mbedtls \
                      --without-wolfssl

LIBDYLIB=$(PLATFORM)/lib/.libs/$(BYPRODUCT)

all: .installed-$(PLATFORM)

$(PLATFORM): $(DEPS) | $(TARBALLS_LOCATION)/$(ARCHIVE).$(HASH_TYPE)
	rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); patch -p1 -i ../01-apple-pkgconfig_disable_requires.patch
	cd $(PLATFORM); $(AUTORECONF) -vif
	cd $(PLATFORM); $(CONFIGURE)

$(LIBDYLIB): $(PLATFORM)
	$(MAKE) -C $(PLATFORM)/lib

.installed-$(PLATFORM): $(LIBDYLIB)
	# install only libcurl and includes
	$(MAKE) -C $(PLATFORM)/lib install
	$(MAKE) -C $(PLATFORM)/include install
	# make sure to also install libcurl.pc, we need to do
	# this because we are selectively installing only libcurl
	$(MAKE) -C $(PLATFORM) install-pkgconfigDATA
	touch $@

clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

.PHONY: update-cacert
update-cacert: $(PLATFORM)
	$(PLATFORM)/lib/mk-ca-bundle.pl -u $(CMAKE_SOURCE_DIR)/system/certs/cacert.pem

=== tools/depends/target/darwin-embedded-entitlements/Makefile ===
include ../../Makefile.include
DEPS = ../../Makefile.include Makefile darwin_embedded_entitlements.xml

DARWIN_EMBEDDED_ENT=$(PREFIX)/share/darwin_embedded_entitlements.xml

all: $(DARWIN_EMBEDDED_ENT)

$(DARWIN_EMBEDDED_ENT):
	mkdir -p $(PREFIX)/share
	cp darwin_embedded_entitlements.xml $(DARWIN_EMBEDDED_ENT)


clean:
distclean::
	rm -f $(DARWIN_EMBEDDED_ENT)

=== tools/depends/target/dav1d/Makefile ===
-include ../../Makefile.include
include DAV1D-VERSION
DEPS = Makefile DAV1D-VERSION ../../download-files.include

ifeq ($(CROSS_COMPILING), yes)
  DEPS += ../../Makefile.include
  PYTHON = $(NATIVEPREFIX)/bin/python3
  MESON = $(NATIVEPREFIX)/bin/meson
  NINJA = $(NATIVEPREFIX)/bin/ninja
else
  ROOT_DIR := $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))
  PREFIX ?= $(ROOT_DIR)/dav1d-install
  BASE_URL ?= http://mirrors.kodi.tv/build-deps/sources
  AUTORECONF := autoreconf
  RETRIEVE_TOOL := curl
  RETRIEVE_TOOL_FLAGS := -LsS --create-dirs --retry 10 --retry-connrefused -o
  ARCHIVE_TOOL := tar
  ARCHIVE_TOOL_FLAGS := --strip-components=1 -xf

  ifeq ($(PLATFORM),)
    PLATFORM = native
    TARBALLS_LOCATION = $(ROOT_DIR)
    HASH_TOOL = sha512sum
    HASH_TOOL_FLAGS = -c --status
    DAV1D_INSTALL_PREFIX = --prefix $(PREFIX) --libdir $(PREFIX)/lib
    MESON = meson
    NINJA = ninja
  endif
endif


MESON_BUILD_TYPE=release

ifeq ($(DEBUG_BUILD), yes)
  MESON_BUILD_TYPE=debug
endif

# configuration settings
CONFIGURE = $(PYTHON) $(MESON) $(DAV1D_INSTALL_PREFIX) \
	--buildtype=$(MESON_BUILD_TYPE) \
	--default-library=static \
	-Denable_asm=true \
	-Denable_tools=false \
	-Denable_examples=false \
	-Denable_tests=false

ifeq ($(CROSS_COMPILING), yes)
CONFIGURE += --cross-file $(PREFIX)/share/cross-file.meson
export CC=$(CC_FOR_BUILD)
export CXX=$(CXX_FOR_BUILD)
export CFLAGS=$(CFLAGS_FOR_BUILD)
export CXXFLAGS=$(CXXFLAGS_FOR_BUILD)
else
export CC CXX CFLAGS CXXFLAGS
endif
export PKG_CONFIG_LIBDIR=$(PREFIX)/lib/pkgconfig

LIBDYLIB=$(PLATFORM)/build/src/$(BYPRODUCT)

include ../../download-files.include
all: .installed-$(PLATFORM)

$(PLATFORM): $(DEPS) | $(TARBALLS_LOCATION)/$(ARCHIVE).$(HASH_TYPE)
	rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); rm -rf build; mkdir -p build
	cd $(PLATFORM); $(CONFIGURE) . build

$(LIBDYLIB): $(PLATFORM)
	cd $(PLATFORM)/build; $(NINJA) -v

.installed-$(PLATFORM): $(LIBDYLIB)
	cd $(PLATFORM)/build; $(NINJA) -v install
	touch $@

clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -f .installed-$(PLATFORM)

distclean:
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/depends/target/dbus/Makefile ===
include ../../Makefile.include
DEPS = ../../Makefile.include Makefile ../../download-files.include

# lib name, version
LIBNAME=dbus
VERSION=1.11.16
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz
SHA512=991ba6293d5f305e5a7e4ce6b131ea7fddd3bebadbb5b8c2fec29ccb76ab324786a01b89d2df6a3a112756436549dc7b856e78d4adb3f7514c8537ad854741bc
include ../../download-files.include

# configuration settings
CONFIGURE=./configure --prefix=$(PREFIX) \
  --without-x --disable-xml-docs --disable-doxygen-docs

LIBDYLIB=$(PLATFORM)/$(LIBNAME)/.libs/lib$(LIBNAME)-1.so

all: $(LIBDYLIB) .installed-$(PLATFORM)


$(PLATFORM): $(DEPS) | $(TARBALLS_LOCATION)/$(ARCHIVE).$(HASH_TYPE)
	rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); $(CONFIGURE)

$(LIBDYLIB): $(PLATFORM)
	$(MAKE) -C $(PLATFORM)

.installed-$(PLATFORM): $(LIBDYLIB)
	$(MAKE) -C $(PLATFORM) install
	touch $@

clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/depends/target/dummy-libxbmc/Makefile ===
include ../../Makefile.include
DEPS = ../../Makefile.include Makefile dummy-libxbmc.c

LIBDYLIB=lib$(APP_NAME).so

all: $(PLATFORM)/$(LIBDYLIB) .installed-$(PLATFORM)

$(PLATFORM):
	mkdir -p $(PLATFORM)

$(PLATFORM)/$(LIBDYLIB): $(PLATFORM) $(DEPS)
	$(CC) -shared -o $(PLATFORM)/lib$(APP_NAME).so dummy-libxbmc.c

.installed-$(PLATFORM): $(PLATFORM)/$(LIBDYLIB)
	mkdir -p  $(PREFIX)/lib/dummy-lib$(APP_NAME)
	cp $(PLATFORM)/lib$(APP_NAME).so $(PREFIX)/lib/dummy-lib$(APP_NAME)
	touch $@

clean:
	rm -rf $(PLATFORM)
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== debian/changelog ===
kodi-dmo (5:21.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 Nov 2025 01:06:21 +0100

kodi-dmo (5:21.2-dmo8) unstable; urgency=medium

  * Build with libbluray3

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 19 Aug 2025 17:38:47 +0200

kodi-dmo (5:21.2-dmo7) unstable; urgency=medium

  * Build with libxml2-16

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 16 Aug 2025 17:34:39 +0200

kodi-dmo (5:21.2-dmo6) unstable; urgency=medium

  * Add upstream patches:
     [PipeWire] Lock `CPipewireRegistry` before accessing
     PipeWire: stop log spam from RequestProcess events

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 30 Mar 2025 16:18:56 +0200

kodi-dmo (5:21.2-dmo5) unstable; urgency=medium

  * Build with libtinyxml2-11

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 18 Mar 2025 15:29:40 +0100

kodi-dmo (5:21.2-dmo4) unstable; urgency=medium

  * Rebuild. 5:21.2-dmo3 package was Segmentation fault. I don't know why,
    stack trace was unusable. (Thanks to Christophe P. for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Mar 2025 15:11:15 +0100

kodi-dmo (5:21.2-dmo3) unstable; urgency=medium

  * Add upstream patch to fix build with pipewire 1.4.0
  * 05_use-system-groovy.patch don't use version in .jar path

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 11 Mar 2025 23:27:06 +0100

kodi-dmo (5:21.2-dmo2+b1) unstable; urgency=medium

  * Build with libcec7

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 27 Feb 2025 11:04:59 +0100

kodi-dmo (5:21.2-dmo2) unstable; urgency=medium

  * Build with libiso9660-12

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 Feb 2025 12:37:52 +0100

kodi-dmo (5:21.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 16 Jan 2025 09:32:00 +0100

kodi-dmo (5:21.1-dmo3+b2) unstable; urgency=medium

  * Build with libtag2
  * Add upstream patch to fix taglib2 with 32 bits arches.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 14 Jan 2025 17:05:38 +0100

kodi-dmo (5:21.1-dmo3+b1) unstable; urgency=medium

  * Build with libspdlog1.15

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 Jan 2025 09:12:42 +0100

kodi-dmo (5:21.1-dmo3) unstable; urgency=medium

  * Update 07_support-libnfs16 patch
  * Build with python 3.13

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 29 Dec 2024 02:08:40 +0100

kodi-dmo (5:21.1-dmo2) unstable; urgency=medium

  * Add upstream patch to fix build with libnfs16
  * Add upstream patch to fix build with swig 4.3

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 21 Dec 2024 09:08:37 +0100

kodi-dmo (5:21.1-dmo1+b3) unstable; urgency=medium

  * Build with latest libcrossguid0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Nov 2024 01:43:37 +0100

kodi-dmo (5:21.1-dmo1+b2) unstable; urgency=medium

  * Build with libfmt10; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Nov 2024 09:46:57 +0100

kodi-dmo (5:21.1-dmo1+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 31 Oct 2024 12:06:37 +0100

kodi-dmo (5:21.1-dmo1) unstable; urgency=medium

  * New upstream release.
  * Remove applied upstream patches 07_Fix-crash-at-shutdown and 08_FTBFS-gcc-14

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 17 Aug 2024 10:06:35 +0200

kodi-dmo (5:21.0-dmo5) unstable; urgency=medium

  * Build with libdisplay-info2

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 25 Jul 2024 16:21:33 +0200

kodi-dmo (5:21.0-dmo4) unstable; urgency=medium

  * Buildwith with libplist-2.0-4
  * Apply upstream patch to fix freeze on exit.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 13 Jul 2024 07:46:51 +0200

kodi-dmo (5:21.0-dmo3) unstable; urgency=medium

  * Switch to system fonts for NotoSans-Regular.ttf (fonts-noto-mono),
    Roboto-Thin.ttf (fonts-roboto-fontface) and
    glyphicons-halflings-regular.ttf (fonts-glyphicons-halflings)
  * Build with python 3.12

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 24 Jun 2024 15:09:52 +0200

kodi-dmo (5:21.0-dmo2) unstable; urgency=medium

  * Build with system ffmpeg 6.1

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 11 Apr 2024 10:13:56 +0200

=== debian/control ===
Source: kodi-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://kodi.tv/
Standards-Version: 4.7.2
Build-Conflicts: libegl1-imx, libafpclient-dev, libsndio-dev
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libgtest-dev,
 libasound2-dev, libdrm-dev, ninja-build, libdav1d-dev,
 libass-dev (>= 0.9.7), libmicrohttpd-dev, zip,
 liblcms2-dev, libegl-dev, libbluray-dev, libtinyxml-dev (>= 2.6.2-3),
 libcec-dev (>= 2:6~), libshairplay-dev, libcurl4-gnutls-dev, libdbus-1-dev,
 libxrender-dev, libavahi-common-dev, libdvdcss-dev, libdvdcss-dev:native,
 rapidjson-dev (>= 1.1.0~), flatbuffers-compiler, libflatbuffers-dev, quilt,
 libunistring-dev, wayland-protocols, waylandpp-dev, libfribidi-dev, cmake,
 libsqlite3-dev, libmariadb-dev, liblirc-dev, libgbm-dev, libpng-dev, libpng-dev:native,
 libgl-dev, libglu1-mesa-dev, libglew-dev (>= 1.13.0~), libegl1-mesa-dev,
 libfreetype-dev, libmms-dev, libfontconfig-dev, libpython3-dev, python3-setuptools,
 liblzo2-dev, liblzo2-dev:native, libcdio-dev (>= 1:2.1.0~), libavahi-compat-libdnssd-dev,
 libcrossguid-dev (>= 2:0.2.2+git200190529~), libsamplerate-dev, libfstrcmp-dev,
 libsmbclient-dev, libiso9660++-dev, libvdpau-dev, uuid-dev, libgif-dev, libgif-dev:native,
 libcap-dev, swig (>= 4.3~), libgles-dev [arm64 armel armhf], libxrandr-dev,
 libcwiid-dev, libbluetooth-dev (>= 4.98-2), zlib1g-dev, libxkbcommon-dev,
 libtag-dev, libxslt1-dev, default-jre-headless:native, libpulse-dev, libfmt-dev (>= 6.1.2~),
 libva-dev (>= 1.0.7), libplist-dev (>= 2.6.0), libssh-dev, nasm [any-amd64 any-i386],
 libxt-dev, libxtst-dev, libxmu-dev, libudev-dev, libxinerama-dev, python3-dev:any,
 libnfs-dev (>= 1:6.0.0~), libspdlog-dev (>= 1:1.12~), libinput-dev,
 libudfread-dev, libkissfft-dev, libpipewire-0.3-dev, pkgconf, libpcre3-dev,
 libdisplay-info-dev (>= 0.2~), libtinyxml2-dev, groovy:native, libcommons-lang-java:native,
 libcommons-text-java:native, libcommons-lang3-java:native, libavcodec-6-dev,
 libavformat-6-dev, libswscale-6-dev, libswresample-6-dev, libavfilter-6-dev,
 libjpeg-dev, libjpeg-dev:native,
 dh-linktree,
 node-jquery, fonts-glyphicons-halflings, fonts-noto-mono,

Package: kodi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kodi-data (>= ${source:Version}),
Pre-Depends: ${misc:Pre-Depends},
Recommends: ${shlibs:Recommends}, udisks2,
Suggests: ${shlibs:Suggests},
Breaks: kodi-standalone (<= 5:18.4-dmo2), kodi-bin (<= 5:18.4-dmo2), kodi-data (<= 5:18.5-dmo1),
 kodi-wayland (<= 5:18.99~), kodi-gbm (<= 5:18.99~), kodi-x11 (<= 5:18.99~), ${kodi:APIBREAKS},
Provides: ${kodi:APIPROVIDES},
Description: Open Source Home Theatre (executable binaries)
 Kodi (formally known as XBMC), is an award winning free and open source
 software media-player and entertainment hub for all your digital media.
 Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV) and
 Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project
 run and developed by volunteers located around the world. More than 50
 software developers have contributed to Kodi, and 100-plus translators have
 worked to expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.

Package: kodi-data
Architecture: all
Multi-Arch: foreign
Depends: ${python3:Depends}, ${misc:Depends}, mesa-utils, x11-utils, python3-pil, node-jquery, python3-pycryptodome,
Conflicts: kodi-skin-confluence, kodi-repository-kodi, kodi-bin, firewalld (<< 1.2.0-2),
Replaces: kodi-skin-confluence, kodi-repository-kodi, kodi-bin, firewalld (<< 1.2.0-2),
Description: Open Source Home Theatre (arch-independent data package)
 Kodi (formally known as XBMC), is an award winning free and open source
 software media-player and entertainment hub for all your digital media.
 Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV) and
 Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project
 run and developed by volunteers located around the world. More than 50
 software developers have contributed to Kodi, and 100-plus translators have
 worked to expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the architecture independent data needed to have a
 working Kodi.

Package: kodi-eventclients-common
Architecture: all
Multi-Arch: foreign
Depends: ${python3:Depends}, ${misc:Depends},
Description: Open Source Home Theatre (Event Client Common package)
 Kodi (formally known as XBMC), is an award winning free
 and open source software media-player and entertainment hub for all your
 digital media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and
 Apple TV) and Microsoft Windows, as well as the original Xbox game console.
 Created in 2003 by a group of like minded programmers, Kodi is a non-profit
 project run and developed by volunteers located around the world. More than
 50 software developers have contributed to Kodi, and 100-plus translators
 have worked to expand its reach, making it available in more than 30
 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the common package for Kodi Event Client.

Package: kodi-eventclients-wiiremote
Architecture: any
Depends: kodi-eventclients-common (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends},
Description: Open Source Home Theatre (Event Client WII Remote support package)
 Kodi (formally known as XBMC), is an award winning free and open source
 software media-player and entertainment hub for all your digital media.
 Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV) and
 Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project
 run and developed by volunteers located around the world. More than 50
 software developers have contributed to Kodi, and 100-plus translators have
 worked to expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the Wii Remote client package for Kodi.

Package: kodi-eventclients-ps3
Architecture: all
Depends: kodi-eventclients-common (= ${binary:Version}), python3-bluez, ${python3:Depends}, ${misc:Depends},
Description: Open Source Home Theatre (Event Client PS3 package)
 Kodi (formally known as XBMC), is an award winning free and open source
 software media-player and entertainment hub for all your digital media.
 Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV) and
 Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project
 run and developed by volunteers located around the world. More than 50
 software developers have contributed to Kodi, and 100-plus translators have
 worked to expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the PS3 package for Kodi Event Client.

Package: kodi-addons-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: kodi-addons-dev-common (= ${source:Version}), ${misc:Depends},
Provides: dh-sequence-kodiaddon (= ${binary:Version}),
Conflicts: kodi-eventclients-dev,
Replaces: kodi-eventclients-dev,
Description: Open Source Home Theatre (Addons Dev package)
 Kodi, formerly known as XBMC is an award winning free and open source
 software media-player and entertainment hub for all your digital media.
 Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV) and
 Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project
 run and developed by volunteers located around the world. More than 50
 software developers have contributed to Kodi, and 100-plus translators have
 worked to expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This is the development package for Kodi Addons.
 .
 This package contains independent headers for building Addons without the
 whole Kodi source tree.

Package: kodi-addons-dev-common
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends},
Breaks: kodi-addons-dev (<< 5:19.5-dmo1~),
Replaces: kodi-addons-dev (<< 5:19.5-dmo1~),
Description: Open Source Home Theatre (architecture-independent addon development package)
 Kodi, formerly known as XBMC is an award winning free and open source
 software media-player and entertainment hub for all your digital media.
 Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV) and
 Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project
 run and developed by volunteers located around the world. More than 50
 software developers have contributed to Kodi, and 100-plus translators have
 worked to expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your

=== debian/rules ===
#!/usr/bin/make -f

# To display all errors if any
export V=1

ifeq "$(DEB_BUILD_ARCH)" "armel"
	ARCH_SPECIFIC_OPTIONS = -DENABLE_NEON=OFF
	export DEB_LDFLAGS_MAINT_APPEND = -latomic
endif

ifeq "$(DEB_BUILD_ARCH)" "powerpc"
# Options after -latomic only work if -DENABLE_LDGOLD=OFF is set.
	export DEB_LDFLAGS_MAINT_APPEND = -latomic
## -Wl,--no-keep-memory,--reduce-memory-overheads,--hash-size=31
	ARCH_SPECIFIC_OPTIONS = -DENABLE_LDGOLD=OFF
endif

ifneq (,$(filter armel armhf arm64,$(DEB_HOST_ARCH)))
	ARCH_SPECIFIC_OPTIONS += -DAPP_RENDER_SYSTEM=gles
else
	ARCH_SPECIFIC_OPTIONS += -DAPP_RENDER_SYSTEM=gl
endif

# ffmpeg version :
# grep VERSION= tools/depends/target/ffmpeg/FFMPEG-VERSION

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
EXTRA_FLAGS := $(EXTRA_FLAGS) \
	-DWITH_JSONSCHEMABUILDER=$(CURDIR)/native-tools/bin/JsonSchemaBuilder \
	-DWITH_TEXTUREPACKER=$(CURDIR)/native-tools/bin/TexturePacker
endif

%:
	dh $@ --with quilt,linktree -Scmake
# crossbuild doesn't work
##+ninja

override_dh_auto_configure:
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	# We are cross-compiling!
	eval `dpkg-architecture -a$(DEB_BUILD_ARCH) -f -c dpkg-buildflags --export=sh`; \
		cmake \
		-G"Unix Makefiles" \
		-Stools/depends/native/JsonSchemaBuilder/src \
		-B$(CURDIR)/native-tools/JsonSchemaBuilder \
		-DCMAKE_INSTALL_PREFIX=$(CURDIR)/native-tools
	cd $(CURDIR)/native-tools/JsonSchemaBuilder && make -j install
	eval `dpkg-architecture -a$(DEB_BUILD_ARCH) -f -c dpkg-buildflags --export=sh`; \
		cmake \
		-G"Unix Makefiles" \
		-Stools/depends/native/TexturePacker/src \
		-B$(CURDIR)/native-tools/TexturePacker \
		-DKODI_SOURCE_DIR=$(CURDIR) \
		-DCMAKE_CXX_FLAGS="-DTARGET_POSIX" \
		-DCMAKE_INSTALL_PREFIX=$(CURDIR)/native-tools
	cd $(CURDIR)/native-tools/TexturePacker && make -j install
endif
	dh_auto_configure -- \
	$(ARCH_SPECIFIC_OPTIONS) \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DENABLE_AIRTUNES=ON \
	-DENABLE_ALSA=ON \
	-DENABLE_AVAHI=ON \
	-DENABLE_BLURAY=ON \
	-DENABLE_CCACHE=OFF \
	-DENABLE_CEC=ON \
	-DENABLE_DBUS=ON \
	-DENABLE_DEBUGFISSION=OFF \
	-DENABLE_DVDCSS=ON \
	-DENABLE_EVENTCLIENTS=ON \
	-DENABLE_INTERNAL_CROSSGUID=OFF \
	-DENABLE_INTERNAL_FFMPEG=OFF \
	-DENABLE_INTERNAL_KISSFFT=OFF \
	-DENABLE_INTERNAL_RapidJSON=OFF \
	-DENABLE_LIRCCLIENT=ON \
	-DENABLE_MARIADBCLIENT=ON \
	-DENABLE_MICROHTTPD=ON \
	-DENABLE_NFS=ON \
	-DENABLE_OPTICAL=ON \
	-DENABLE_PULSEAUDIO=ON \
	-DENABLE_UDEV=ON \
	-DENABLE_UPNP=ON \
	-DENABLE_VAAPI=ON \
	-DENABLE_VDPAU=ON \
	-DENABLE_XSLT=ON \
	-DINTERNAL_TEXTUREPACKER_EXECUTABLE=ON \
	-DUSE_LTO=$(NUMCPU) \
	$(EXTRA_FLAGS) \
	-Wno-dev

#	exit 1

override_dh_clean:
	dh_clean lib/cpluff/console/cpluff-console lib/cpluff/loader/cpluff-loader \
	lib/cpluff/Makefile.in lib/cpluff/auxliary/ltmain.sh lib/cpluff/config.log \
	lib/cpluff/config.status lib/cpluff/console/Makefile.in lib/cpluff/examples/cpfile/cpfile \
	lib/cpluff/libcpluff/Makefile.in lib/cpluff/libcpluff/libcpluff.la lib/cpluff/libtool \
	lib/cpluff/loader/Makefile.in lib/cpluff/po/Makefile lib/cpluff/po/Makefile.in \
	tools/TexturePacker/TexturePacker native-tools \
	debian/*.so kodi_build_* tools/depends/native/TexturePacker/.installed-native \

#	find -name .deps | xargs -r rm -rf
#	find -name .libs | xargs -r rm -rf
#	find -name *.exe -delete
#	find -name *.chm -delete
#	find -name *.dll -delete

#	find -name *.o -delete
#	find -name *.lo -delete

#	find -name Makefile -exec grep -l "automake-1" {} \; | xargs -r rm

	[ ! -f tools/depends/native/TexturePacker/native/Makefile ] || $(MAKE) -C tools/depends/native/TexturePacker/native distclean

override_dh_install:
	rm -rf debian/tmp/usr/share/doc/kodi/kodi-eventclients-dev/examples
	rm debian/tmp/usr/share/kodi/media/Fonts/arial.ttf
	rm debian/tmp/usr/share/kodi/system/settings/darwin*.xml
	rm debian/tmp/usr/share/kodi/system/settings/android.xml
	rm debian/tmp/usr/share/kodi/system/settings/win32.xml
	rm debian/tmp/usr/share/doc/kodi/version.txt
	rm debian/tmp/usr/share/doc/kodi/LICENSE.md
	rm debian/tmp/usr/share/doc/kodi/README.Linux.md

	find debian/tmp -name copying.txt -delete

	rm debian/tmp/usr/share/kodi/addons/skin.estuary/fonts/*.txt

#	find debian/tmp/usr -name '*.in' | xargs -r rm

	dh_install

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_shlibdeps: debian/kodi-suggests-dummy.so
	dh_shlibdeps -lusr/lib/$(DEB_HOST_MULTIARCH)/kodi/system/players/dvdplayer

#	dpkg-shlibdeps -dRecommends -edebian/kodi-recommends-dummy.so -xlibc6 -O >> debian/kodi.substvars
	dpkg-shlibdeps -dSuggests -edebian/kodi-suggests-dummy.so -xlibc6 -O >> debian/kodi.substvars

# Nothing as 01/11/2021
#debian/kodi-recommends-dummy.so:
# See obj-*/build/DllPaths_generated.h after a call to dh_auto_configure

#	$(DEB_HOST_GNU_TYPE)-gcc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
#	-lplist -lshairplay

debian/kodi-suggests-dummy.so:
	$(DEB_HOST_GNU_TYPE)-gcc -xc -shared -Wl,--no-as-needed -o $@ /dev/null -ldvdcss

override_dh_gencontrol:
	debian/dh-addon/dh_kodiaddon_depends
	dh_gencontrol

override_dh_strip:
ifeq "$(DEB_BUILD_ARCH)" "arm64"
	objcopy -S debian/kodi/usr/lib/$(DEB_HOST_MULTIARCH)/kodi/kodi.bin
endif

	dh_strip

override_dh_dwz override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/xbmc/xbmc/tags \
(?:.*?/)?v?(\d[\d.]*)-Omega@ARCHIVE_EXT@
